*-- Example for the Cell Formatting

RELEASE ALL LIKE o*

LOCAL oExcel, oSheet

*-- Create the Object
oExcel = CREATEOBJECT('OfficeClass.clsExcel')
oExcel.ShowExcel()			&& Show Excel
oExcel.BuildExcelBook(1)	&& Add One WorkSheet

WITH oExcel
	.BuildSheet("A1","Format a Cell","Arial:10:B",15,"HRight")
	.BuildSheet("B1","Format +/-"   ,"Arial:10:B",15,"HRight")
	.BuildSheet("C1","Format +/-/0" ,"Arial:10:B",15,"HRight")
	
	oSheet = .GetActiveSheet()
	
	WITH oSheet
		*-- Format a Cell
		.Range("A2").Value = 1234.5
		.Range("A2").NumberFormat = "##,###.#0"
		.Range("A3").Value = 1234.5
		.Range("A3").NumberFormat = "$##,###.#0"

		*-- Format +/-
		.Range("B2").Value = 1234.5
		.Range("B3").Value = 0
		.Range("B4").Value = -1234.5
		.Range("B2:B4").NumberFormat = "##,###.#0;(##,###.#0)"

		*-- Format +/-/0
		.Range("C2").Value = 1234.5
		.Range("C3").Value = 0
		.Range("C4").Value = -1234.5
		.Range("C2:C4").NumberFormat = "##,###.#0;(##,###.#0); ;"
			
		*-- Little Example.
		.Range("A6").Value  = "January"
		.Range("A7").Value  = 102
		.Range("B7").Value  = "Widget"
		.Range("A8").Value  = -24
		.Range("B8").Value  = "Whatzit"
		.Range("A9").Value  = 0
		.Range("B9").Value = "Whatnot"
		.Range("A10").Value = "February"
		.Range("A11").Value  = 123
		.Range("B11").Value  = "Widget"
		.Range("A12").Value  = 0
		.Range("B12").Value  = "Whatzit"
		.Range("A13").Value  = 332
		.Range("B13").Value = "Whatnot"
		
		*-- Format the First Column
		.Range("A6:A13").NumberFormat = [$###;($###);"No"; @" Totals"]
		
		*-- Format the Second Column
		.Range("B6:B13").NumberFormat = ["Total "@" Sales"]
		
		*-- Add a date and format.
		.Range("D1").Value = "01/01/2000"
		.Range("D1").NumberFormat = "Dd-Mmm-Yyyy"
	ENDWITH	


ENDWITH

oExcel = .NULL.
