*-- Use the Excel DLL to put order information
*-- for one customer into excel worksheet

*-- modified version of the code from 
*-- Microsoft Office Automation with Visual FoxPro
RELEASE ALL LIKE o*

LOCAL oExcel, oRange, oSheet, lcHead
LOCAL lnLastRow, lnTotalRow

*-- Open Order History view
OPEN DATABASE _SAMPLES + "\TASTRADE\DATA\TasTrade"
USE Customer IN 0

USE "Order History" ALIAS OrderHistory IN 0
SELECT OrderHistory

*-- Create the Object
oExcel = CREATEOBJECT('OfficeClass.clsExcel')
oExcel.ShowExcel()			&& Show Excel
oExcel.BuildExcelBook(1)	&& Add One WorkSheet

WITH oExcel
	.BuildSheet("A2",Customer.Company_Name)
	
	&& Column Headings.
	lcHead = "Order Number,Date,Amount"
	.ConvertStringToArray(lcHead)
	.BuildLineFromArray("A5")
	
	oRange = .GetSelection("A6:C6")
	
	SCAN
		WITH oRange
			.Columns[1].Value = Order_ID
			.Columns[2].Value = Order_Date
			.Columns[3].Value = Ord_Total
		ENDWITH
		
		oRange = oRange.Offset(1,0)
	ENDSCAN
	
	lnLastRow  = oRange.Row
	lnTotalRow = lnLastRow + 2
	
	oSheet = .GetActiveSheet()
	
	WITH oSheet
		.Cells( lnTotalRow,1 ) = "Total"
		.Cells( lnTotalRow,3 ).Formula = "=SUM(C6:C" + ALLTRIM(STR(lnLastRow)) + ")"
	ENDWITH
ENDWITH

USE IN OrderHistory
USE IN Customer

