*-- Work with new features of V1.0.3 - Multiple WorkBooks.

RELEASE ALL LIKE o*

LOCAL oExcel, oApp

#INCLUDE "Excel9.h"

*-- Create the Object
oExcel = CREATEOBJECT('OfficeClass.clsExcel')

oExcel.BuildExcelBook(1)	&& Add WorkBook with 1 WorkSheet
oExcel.BuildExcelBook(2)	&& Add another workbook with 2 Sheets
oExcel.BuildExcelBook(3)    && Add a third work book with 3 Sheets.

*-- At this point we are currently pointing at work book 3
WITH oExcel
	
	oApp = .GetExcelObject()	&& Get the Excel Object.
	
	.SetWorkBook(1)		&& Point to 1st WorkBook.
	.BuildSheet(1,"A1","This is Sheet 1 in 1st WorkBook",,.T.)
	
	.SetWorkBook(2)		&& Select Second WorkBook	
	.Buildsheet(1,"A1","This is Sheet 1 in 2nd WorkBook",,.T.)
	.BuildSheet(2,"A1","This is Sheet 2 in 2nd WorkBook",,.T.)
	.RenameSheet(1,"One in Two")
	.RenameSheet(2,"Two in Two")
	
	.SetWorkBook(3)		&& Select Third WorkBook.
	FOR lnI = 1 TO 3
		.BuildSheet(lnI,"A1","This is Sheet " + ALLTRIM(STR(lnI)) + " in 3rd WorkBook",,.T.)
	ENDFOR

	*-- Display all three workbooks.
	oApp.Windows.Arrange(xlHorizontal)
	
	.ShowExcel()			&& Show Excel
	
	=MessageBox("Press to Close WorkBooks",0,"Close WorkBook")
	.CloseWorkBook(1,.F.)

	*-- Add some extra info to WorkBook 2, Sheet 2 before closing,
	*-- Should now be WorkBook 1 as we have closed the first.
	.BuildSheet(2,"A5","Re-Mapped to Workbook 1")	
	&& Close and Save New WorkBook 1
	.CloseWorkBook(1,.T.,"C:\WorkBook2.xls")
	&& Close the Final WorkBook, Need to remember when you close a workbook
	&& the array is reduced by one and then re-built. (Defaults to 1st Workbook after).
	.CloseWorkBook(1,.F.)
ENDWITH

oExcel = .NULL.
