*-- Example Code for Excel DLL Class.
*-- Version 1.0.0 
*-- Written By Simon Arnold
*-- Copyright (c)2001 Westlake Computer Systems Ltd.

LOCAL oExcel, lcHead, loSel

oExcel = CREATEOBJECT('OfficeClass.clsExcel')

IF VARTYPE(oExcel) # 'O'
	=MessageBox("You will need to Register the .DLL file using RegSvr32",0,"Excel Class Registration")
	RETURN 
ENDIF

WITH oExcel
	.BuildExcelBook(1)			&& Create and Add 1 WorkSheet.
	.RenameSheet(1,"Test1")
	*-- Add Some data
	lcHead = "Col1:10,Col2:10,Col3:10"
	.ConvertStringToArray(lcHead)				&& Populate Internal Array for BuildLineFromArray.
	.BuildSheet(1,"A1","Excel Class Example","Arial:12:B")
	.MergeCells(1,"A1:E1")
	.DrawBorder(1,"A1:E1","xlContinuous:xlMedium")
	.BuildLineFromArray(1,"A3","Arial:10:B")		&& Use Data in Internal Array
	.BuildSheet(1,"A5",10,"",.f.,"HRight")
	.BuildSheet(1,"B5",5 ,"",.f.,"HRight")
	.BuildSheet(1,"C5",7 ,"",.f.,"HRight")
	.BuildSheet(1,"A6",20,"",.f.,"HRight")
	.BuildSheet(1,"B6",15,"",.f.,"HRight")
	.BuildSheet(1,"C6",17,"",.f.,"HRight")
	.BuildSheet(1,"A8","=SUM(A5:A7)",,.f.,'HRight')			
	.BuildSheet(1,"B8","=SUM(B5:B7)",,.f.,'HRight')			
	.BuildSheet(1,"C8","=SUM(C5:C7)",,.f.,'HRight')			
	.DrawBorder(1,"A5:C6","xlDash",RGB(255,0,0),.T.)
	.DrawBorder(1,"A8:C8","xlDouble")			

	*-- Lets Add a new WorkSheet.
	.AddSheet("Before",1)
	*-- What Was Worksheet one now is accessed as worksheet 2.
	.RenameSheet(1,"New WorkSheet")
	.BuildSheet(1,"A1","This is a New Worksheet","Times New Roman:14:BI")
	.MergeCells(1,"A1:E1")
	.CellAlignment(1,"A1","HCenter")
	
	*-- Add Some data
	lcHead = "Col1:10,Col2:10,Col3:10"
	.ConvertStringToArray(lcHead)			&& Build New Internal Array.
	.BuildLineFromArray(1,"A3","Arial:10:BU")
	FOR lnI = 1 TO 4
		.CellAlignment(1,CHR(64+lnI) + "3","HRight")
	ENDFOR
	.BuildSheet(1,"A5",15.5,"",.f.,"HRight")
	.BuildSheet(1,"B5",5.5 ,"",.f.,"HRight")
	.BuildSheet(1,"C5",8   ,"",.f.,"HRight")
	.BuildSheet(1,"A6",23  ,"",.f.,"HRight")
	.BuildSheet(1,"B6",13  ,"",.f.,"HRight")
	.BuildSheet(1,"C6",14  ,"",.f.,"HRight")
	.BuildSheet(1,"A8","=SUM(A5:A7)",,.f.,'HRight')			
	.BuildSheet(1,"B8","=SUM(B5:B7)",,.f.,'HRight')			
	.BuildSheet(1,"C8","=SUM(C5:C7)",,.f.,'HRight')			
	*-- Change color of a single cell.
	.SetFont(1,"C5","",RGB(0,0,255))	&& Blue - Default Font (Arial:10:N).

	*-- Another New Sheet.
	.AddSheet("After",2)					&& Add New sheet 3
	.RenameSheet(3,"New Sheet number 3")
	.BuildSheet(3,"A1","This is a Test")
	.SetCell(3,"A1","ShrinkToFit",.T.)		
	.SetCell(3,"A1","Orientation",-45)			&& Safe Guard is > 90 = 90 and <-90 = -90
	.BuildSheet(3,"A5","New Line of Text")
	.SetCell(3,"A5","Font.Color",RGB(255,0,0))	&& Try to set the Color to Red.
	.SetCell(3,"A5","ShrinkToFit",.T.)
	
	*-- Set Page 3 to Landscape.
	.SetWorkSheet(3,"PageSetup.Orientation",2)
	
	.ShowExcel()
ENDWITH

oExcel = .NULL.