RELEASE ALL LIKE o*

*-- Example for Creating PivotTable Data.

LOCAL oExcel, oRange, lcLine

OPEN DATABASE (_SAMPLES + "\TasTrade\Data\TasTrade")

SELECT Customer.Company_Name, Customer.Country, ;
	   CMONTH(Orders.Order_Date) AS Order_Month, ;
       YEAR(Orders.Order_Date) AS Order_Year, ;
       Category.Category_Name, Products.Product_Name, ;
	   Order_Line_Items.Quantity, Order_Line_Items.Unit_Price * Order_Line_Items.Quantity AS Total_Price;
	FROM Orders, Order_Line_Items, Customer, Products, Category ;
	WHERE Order_Line_Items.Order_ID = Orders.Order_ID AND ;
	      Orders.Customer_ID = Customer.Customer_ID   AND ;
	      Order_Line_Items.Product_ID = Products.Product_ID  AND ;
	      Products.Category_ID = Category.Category_ID ;
	INTO CURSOR Pivot

lcLine = ALLTRIM(STR(_TALLY + 1 ))

COPY TO (CURDIR() + "Pivot") TYPE XL5

oExcel = CREATEOBJECT('OfficeClass.clsExcel')

WITH oExcel
	.OpenFile( SYS(5) + CURDIR() + "Pivot.XLS" )
	.ShowExcel()
	oRange = .GetSelection(1,"A1:H" + lcLine)
	oRange.Columns.AutoFit()
ENDWITH

oRange = .NULL.
oExcel = .NULL.
